Skip to main content
GET
/
invoices
/
{id}
Get invoice
const options = {method: 'GET'};

fetch('https://api.dolfinai.co/invoices/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "currency": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "documentNumber": "<string>",
  "issueDate": "2023-11-07T05:31:56Z",
  "dueDate": "2023-11-07T05:31:56Z",
  "subTotal": 123,
  "taxAmount": 123,
  "totalAmount": 123,
  "memo": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "paymentUrl": "<string>",
  "customer": {
    "name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "<string>",
    "phone": "<string>",
    "taxNumber": "<string>",
    "addressLine1": "<string>",
    "addressLine2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postalCode": "<string>",
    "country": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "lineItems": [
    {
      "description": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "quantity": 123,
      "unitPrice": 123,
      "taxAmount": 123,
      "subTotal": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string<uuid>
required

Response

OK

currency
string
required

ISO 4217 currency code (e.g. GBP, USD, EUR)

id
string<uuid>
organisationId
string<uuid>
customerId
string<uuid>
documentNumber
null | string
issueDate
string<date-time>
dueDate
null | string<date-time>
status
enum<string>
Available options:
Draft,
Sent,
Paid,
Void,
PartiallyPaid
subTotal
taxAmount
totalAmount
memo
null | string
createdAt
string<date-time>
createdBy
null | string<uuid>
updatedAt
string<date-time>
updatedBy
null | string<uuid>
paymentUrl
null | string
customer
object
lineItems
object[]